/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.dto;

import jp.mosp.common.common.BaseDto;

/**
 * @author yoshida
 *
 */
public class KintaiCompileDto extends BaseDto {
	
	private static final long	serialVersionUID			= 2758325958940292141L;
	
	// フィールド
	/**
	 * 勤務時間計
	 */
	private int					totalWork					= 0;
	/**
	 * 休憩時間計
	 */
	private int					totalInterbal				= 0;
	/**
	 * 遅刻時間計
	 */
	private int					totalLate					= 0;
	/**
	 * 早退時間計
	 */
	private int					totalLeave					= 0;
	/**
	 * 残業時間計
	 */
	private int					totalOver					= 0;
	/**
	 * 遅刻早退時間計
	 */
	private int					totalLeaveAndLate			= 0;
	/**
	 * 休出時間計
	 */
	private int					totalHolidayWork			= 0;
	/**
	 * 深夜時間計
	 */
	private int					totalLateNight				= 0;
	/**
	 * 出勤日数計
	 */
	private double				totalWorkDays				= 0;
	/**
	 * 出勤回数計
	 */
	private int					totalWorkNumber				= 0;
	/**
	 * 有休日数計
	 */
	private double				totalPaidHoliday			= 0;
	/**
	 * 特別休暇計
	 */
	private double				totalParticularHoliday		= 0;
	/**
	 * 欠勤日数計
	 */
	private double				totalAbsence				= 0;
	/**
	 * 傷病休暇計
	 */
	private double				totalMedicalLeave			= 0;
	/**
	 * 代休日数計
	 */
	private double				totalCompensationDay		= 0;
	/**
	 * 振替休暇計
	 */
	private double				totalTransfer				= 0;
	/**
	 * 其他休暇計
	 */
	private double				totalOther					= 0;
	/**
	 * 遅刻早退数
	 */
	private int					leaveAndLate				= 0;
	/**
	 * 食事手当
	 */
	private int					syokuji						= 0;
	/**
	 * 1直手当
	 */
	private int					cyoku1						= 0;
	/**
	 * 2直手当
	 */
	private int					cyoku2						= 0;
	/**
	 * 3直手当
	 */
	private int					cyoku3						= 0;
	/**
	 * その他手当１
	 */
	private int					hoka1						= 0;
	/**
	 * その他手当２
	 */
	private int					hoka2						= 0;
	/**
	 * その他手当３
	 */
	private int					hoka3						= 0;
	/**
	 * その他手当４
	 */
	private int					hoka4						= 0;
	/**
	 * その他手当５
	 */
	private int					hoka5						= 0;
	/**
	 * 時間単位年休数
	 */
	private int					unitHourHoliday				= 0;
	/**
	 * 皆勤手当可否
	 */
	private boolean				isApplyAttendanceAllowance	= false;
	/**
	 * 1.00割増時間合計
	 */
	private int					warimasi1					= 0;
	
	// KD_WORKの追加分---始まり
	/**
	 * 休暇理由6
	 */
	private double				totalKkRiyuu6				= 0;
	/**
	 * 休暇理由7
	 */
	private double				totalKkRiyuu7				= 0;
	/**
	 * 休暇理由8
	 */
	private double				totalKkRiyuu8				= 0;
	/**
	 * 休暇理由9
	 */
	private double				totalKkRiyuu9				= 0;
	/**
	 * 平日時間外
	 */
	private int					totalWeekDayOverTime		= 0;
	/**
	 * 所定休日時間外
	 */
	private int					totalWeekHolidayOverTime	= 0;
	/**
	 * 月60時間超過平日時間外
	 */
	private int					totalMonthlyOverTime		= 0;
	/**
	 * 月60時間超過所定休日時間外
	 */
	private int					totalMonthlyWeekHoliday		= 0;
	/**
	 * 時間外時間代替休暇取得日数
	 */
	private double				totalSubstituteHoliday		= 0;
	

	// KD_WORKの追加分---終わり
	
	/**
	 * コンストラクタ
	 */
	public KintaiCompileDto() {
		super();
	}
	
	// アクセサメソッド
	
	/**
	 * 勤務時間計取得
	 * @return	勤務時間計
	 */
	public int getTotalWork() {
		return totalWork;
	}
	
	/**
	 * 休憩時間計取得
	 * @return	休憩時間計
	 */
	public int getTotalInterbal() {
		return totalInterbal;
	}
	
	/**
	 * 遅刻時間計取得
	 * @return	遅刻時間計
	 */
	public int getTotalLate() {
		return totalLate;
	}
	
	/**
	 * 早退時間計取得
	 * @return	早退時間計
	 */
	public int getTotalLeave() {
		return totalLeave;
	}
	
	/**
	 * 遅刻早退時間
	 * @return totalLeaveAndLate
	 */
	public int getTotalLeaveAndLate() {
		return totalLeaveAndLate;
	}
	
	/**
	 * 残業時間計取得
	 * @return	残業時間計
	 */
	public int getTotalOver() {
		return totalOver;
	}
	
	/**
	 * 休出時間計取得
	 * @return	休出時間計
	 */
	public int getTotalHolidayWork() {
		return totalHolidayWork;
	}
	
	/**
	 * 深夜時間計取得
	 * @return	深夜時間計
	 */
	public int getTotalLateNight() {
		return totalLateNight;
	}
	
	/**
	 * 出勤日数計取得
	 * @return	出勤日数計
	 */
	public double getTotalWorkDays() {
		return totalWorkDays;
	}
	
	/**
	 * 出勤回数計
	 * @return	出勤回数計
	 */
	public int getTotalWorkNumber() {
		return totalWorkNumber;
	}
	
	/**
	 * 有休日数計取得
	 * @return	有休日数計
	 */
	public double getTotalPaidHoliday() {
		return totalPaidHoliday;
	}
	
	/**
	 * 特別休暇計取得
	 * @return	特別休暇計
	 */
	public double getTotalParticularHoliday() {
		return totalParticularHoliday;
	}
	
	/**
	 * 欠勤日数計取得
	 * @return	欠勤日数計
	 */
	public double getTotalAbsence() {
		return totalAbsence;
	}
	
	/**
	 * 傷病休暇計取得
	 * @return	傷病休暇計
	 */
	public double getTotalMedicalLeave() {
		return totalMedicalLeave;
	}
	
	/**
	 * 代休日数計取得
	 * @return	代休日数計
	 */
	public double getTotalCompensationDay() {
		return totalCompensationDay;
	}
	
	/**
	 * 振替休暇計取得
	 * @return	振替休暇計
	 */
	public double getTotalTransfer() {
		return totalTransfer;
	}
	
	/**
	 * 其他休暇計取得
	 * @return	其他休暇計
	 */
	public double getTotalOther() {
		return totalOther;
	}
	
	/**
	 * 遅刻早退数取得
	 * @return	遅刻早退数
	 */
	public int getLeaveAndLate() {
		return leaveAndLate;
	}
	
	/**
	 * 食事手当取得
	 * @return	食事手当
	 */
	public int getSyokuji() {
		return syokuji;
	}
	
	/**
	 * 1直手当取得
	 * @return	1直手当
	 */
	public int getCyoku1() {
		return cyoku1;
	}
	
	/**
	 * 2直手当取得
	 * @return	2直手当
	 */
	public int getCyoku2() {
		return cyoku2;
	}
	
	/**
	 * 3直手当取得
	 * @return	3直手当
	 */
	public int getCyoku3() {
		return cyoku3;
	}
	
	/**
	 * その他手当１取得
	 * @return	その他手当１
	 */
	public int getHoka1() {
		return hoka1;
	}
	
	/**
	 * その他手当２取得
	 * @return	その他手当２
	 */
	public int getHoka2() {
		return hoka2;
	}
	
	/**
	 * その他手当３取得
	 * @return	その他手当３
	 */
	public int getHoka3() {
		return hoka3;
	}
	
	/**
	 * その他手当４取得
	 * @return	その他手当４
	 */
	public int getHoka4() {
		return hoka4;
	}
	
	/**
	 * その他手当５取得
	 * @return	その他手当５
	 */
	public int getHoka5() {
		return hoka5;
	}
	
	/**
	 * 時間単位年休数取得
	 * @return	時間単位年休数
	 */
	public int getUnitHourHoliday() {
		return unitHourHoliday;
	}
	
	/**
	 * 休暇理由6取得
	 * @return 休暇理由6
	 */
	public double getTotalKkRiyuu6() {
		return totalKkRiyuu6;
	}
	
	/**
	 * 休暇理由7取得
	 * @return 休暇理由7
	 */
	public double getTotalKkRiyuu7() {
		return totalKkRiyuu7;
	}
	
	/**
	 * 休暇理由8取得
	 * @return 休暇理由8
	 */
	public double getTotalKkRiyuu8() {
		return totalKkRiyuu8;
	}
	
	/**
	 * 休暇理由9取得
	 * @return 休暇理由9
	 */
	public double getTotalKkRiyuu9() {
		return totalKkRiyuu9;
	}
	
	/**
	 * 平日時間外取得
	 * @return 平日時間外
	 */
	public int getTotalWeekDayOverTime() {
		return totalWeekDayOverTime;
	}
	
	/**
	 * 所定休日時間外
	 * @return 所定休日時間外
	 */
	public int getTotalWeekHolidayOverTime() {
		return totalWeekHolidayOverTime;
	}
	
	/**
	 * 月60時間超過平日時間外
	 * @return 月60時間超過平日時間外
	 */
	public int getTotalMonthlyOverTime() {
		return totalMonthlyOverTime;
	}
	
	/**
	 * 月60時間超過所定休日時間外
	 * @return 月60時間超過所定休日時間外
	 */
	public int getTotalMonthlyWeekHoliday() {
		return totalMonthlyWeekHoliday;
	}
	
	/**
	 * 皆勤手当可否取得
	 * @return	皆勤手当可否
	 */
	public boolean isApplyAttendanceAllowance() {
		return isApplyAttendanceAllowance;
	}
	
	/**
	 * 1.00割増時間合計
	 * @return	1.00割増時間合計
	 */
	public int getWarimasi1() {
		return warimasi1;
	}
	
	/**
	 * 勤務時間計セット
	 * @param totalWork	勤務時間計
	 */
	public void setTotalWork(int totalWork) {
		this.totalWork = totalWork;
	}
	
	/**
	 * 休憩時間計セット
	 * @param totalInterbal	休憩時間計
	 */
	public void setTotalInterbal(int totalInterbal) {
		this.totalInterbal = totalInterbal;
	}
	
	/**
	 * 遅刻時間計セット
	 * @param totalLate		遅刻時間計
	 */
	public void setTotalLate(int totalLate) {
		this.totalLate = totalLate;
	}
	
	/**
	 * 早退時間計セット
	 * @param totalLeave	早退時間計
	 */
	public void setTotalLeave(int totalLeave) {
		this.totalLeave = totalLeave;
	}
	
	/**
	 * 遅刻早退時間
	 * @param totalLeaveAndLate セットする totalLeaveAndLate
	 */
	public void setTotalLeaveAndLate(int totalLeaveAndLate) {
		this.totalLeaveAndLate = totalLeaveAndLate;
	}
	
	/**
	 * 残業時間計セット
	 * @param totalOver		残業時間計
	 */
	public void setTotalOver(int totalOver) {
		this.totalOver = totalOver;
	}
	
	/**
	 * 休出時間計セット
	 * @param totalHolidayWork	休出時間計
	 */
	public void setTotalHolidayWork(int totalHolidayWork) {
		this.totalHolidayWork = totalHolidayWork;
	}
	
	/**
	 * 深夜時間計	セット
	 * @param totalLateNight	深夜時間計
	 */
	public void setTotalLateNight(int totalLateNight) {
		this.totalLateNight = totalLateNight;
	}
	
	/**
	 * 出勤日数計セット
	 * @param totalWorkDays		出勤日数計
	 */
	public void setTotalWorkDays(double totalWorkDays) {
		this.totalWorkDays = totalWorkDays;
	}
	
	/**
	 * 出勤回数計セット
	 * @param totalWorkNumber	出勤回数計
	 */
	public void setTotalWorkNumber(int totalWorkNumber) {
		this.totalWorkNumber = totalWorkNumber;
	}
	
	/**
	 * 有休日数計セット
	 * @param totalPaidHoliday	有休日数計
	 */
	public void setTotalPaidHoliday(double totalPaidHoliday) {
		this.totalPaidHoliday = totalPaidHoliday;
	}
	
	/**
	 * 特別休暇計セット
	 * @param totalParticularHoliday	特別休暇計
	 */
	public void setTotalParticularHoliday(double totalParticularHoliday) {
		this.totalParticularHoliday = totalParticularHoliday;
	}
	
	/**
	 * 欠勤日数計セット
	 * @param totalAbsence		欠勤日数計
	 */
	public void setTotalAbsence(double totalAbsence) {
		this.totalAbsence = totalAbsence;
	}
	
	/**
	 * 傷病休暇計セット
	 * @param totalMedicalLeave		傷病休暇計
	 */
	public void setTotalMedicalLeave(double totalMedicalLeave) {
		this.totalMedicalLeave = totalMedicalLeave;
	}
	
	/**
	 * 代休日数計セット
	 * @param totalCompensationDay	代休日数計
	 */
	public void setTotalCompensationDay(double totalCompensationDay) {
		this.totalCompensationDay = totalCompensationDay;
	}
	
	/**
	 * 振替休暇計セット
	 * @param totalTransfer		振替休暇計
	 */
	public void setTotalTransfer(double totalTransfer) {
		this.totalTransfer = totalTransfer;
	}
	
	/**
	 * 其他休暇計セット
	 * @param totalOther		其他休暇計
	 */
	public void setTotalOther(double totalOther) {
		this.totalOther = totalOther;
	}
	
	/**
	 * 遅刻早退数セット
	 * @param leaveAndLate	遅刻早退数
	 */
	public void setLeaveAndLate(int leaveAndLate) {
		this.leaveAndLate = leaveAndLate;
	}
	
	/**
	 * 食事手当セット
	 * @param syokuji	食事手当
	 */
	public void setSyokuji(int syokuji) {
		this.syokuji = syokuji;
	}
	
	/**
	 * 1直手当セット
	 * @param cyoku1	1直手当
	 */
	public void setCyoku1(int cyoku1) {
		this.cyoku1 = cyoku1;
	}
	
	/**
	 * 2直手当セット
	 * @param cyoku2	2直手当
	 */
	public void setCyoku2(int cyoku2) {
		this.cyoku2 = cyoku2;
	}
	
	/**
	 * 3直手当セット
	 * @param cyoku3	3直手当
	 */
	public void setCyoku3(int cyoku3) {
		this.cyoku3 = cyoku3;
	}
	
	/**
	 * その他手当１セット
	 * @param hoka1		その他手当１
	 */
	public void setHoka1(int hoka1) {
		this.hoka1 = hoka1;
	}
	
	/**
	 * その他手当２セット
	 * @param hoka2		その他手当２
	 */
	public void setHoka2(int hoka2) {
		this.hoka2 = hoka2;
	}
	
	/**
	 * その他手当３セット
	 * @param hoka3		その他手当３
	 */
	public void setHoka3(int hoka3) {
		this.hoka3 = hoka3;
	}
	
	/**
	 * その他手当４セット
	 * @param hoka4		その他手当４
	 */
	public void setHoka4(int hoka4) {
		this.hoka4 = hoka4;
	}
	
	/**
	 * その他手当５セット
	 * @param hoka5		その他手当５
	 */
	public void setHoka5(int hoka5) {
		this.hoka5 = hoka5;
	}
	
	/**
	 * 時間単位年休数セット
	 * @param unitHourHoliday	時間単位年休数
	 */
	public void setUnitHourHoliday(int unitHourHoliday) {
		this.unitHourHoliday = unitHourHoliday;
	}
	
	/**
	 * 皆勤手当可否セット
	 * @param isApplyAttendanceAllowance	皆勤手当可否
	 */
	public void setApplyAttendanceAllowance(boolean isApplyAttendanceAllowance) {
		this.isApplyAttendanceAllowance = isApplyAttendanceAllowance;
	}
	
	/**
	 * 1.00割増時間合計
	 * @param warimasi1 1.00割増時間合計
	 */
	public void setWarimasi1(int warimasi1) {
		this.warimasi1 = warimasi1;
	}
	
	/**
	 * 休暇理由6セット
	 * @param totalKkRiyuu6 休暇理由6 
	 */
	public void setTotalKkRiyuu6(double totalKkRiyuu6) {
		this.totalKkRiyuu6 = totalKkRiyuu6;
	}
	
	/**
	 * 休暇理由7セット
	 * @param totalKkRiyuu7 休暇理由7 
	 */
	public void setTotalKkRiyuu7(double totalKkRiyuu7) {
		this.totalKkRiyuu7 = totalKkRiyuu7;
	}
	
	/**
	 * 休暇理由8セット
	 * @param totalKkRiyuu8 休暇理由8 
	 */
	public void setTotalKkRiyuu8(double totalKkRiyuu8) {
		this.totalKkRiyuu8 = totalKkRiyuu8;
	}
	
	/**
	 * 休暇理由9セット
	 * @param totalKkRiyuu9 休暇理由9 
	 */
	public void setTotalKkRiyuu9(double totalKkRiyuu9) {
		this.totalKkRiyuu9 = totalKkRiyuu9;
	}
	
	/**
	 * 平日時間外合計セット
	 * @param totalWeekDayOverTime 平日時間外
	 */
	public void setTotalWeekDayOverTime(int totalWeekDayOverTime) {
		this.totalWeekDayOverTime = totalWeekDayOverTime;
	}
	
	/**
	 * 所定休日時間外合計セット
	 * @param totalWeekHolidayOverTime 所定休日時間外
	 */
	public void setTotalWeekHolidayOverTime(int totalWeekHolidayOverTime) {
		this.totalWeekHolidayOverTime = totalWeekHolidayOverTime;
	}
	
	/**
	 * 月60時間超過平日時間外合計セット
	 * @param totalMonthlyOverTime 月60時間超過平日時間外
	 */
	public void setTotalMonthlyOverTime(int totalMonthlyOverTime) {
		this.totalMonthlyOverTime = totalMonthlyOverTime;
	}
	
	/**
	 * 月60時間超過所定休日時間外合計セット
	 * @param totalMonthlyWeekHoliday 月60時間超過所定休日時間外
	 */
	public void setTotalMonthlyWeekHoliday(int totalMonthlyWeekHoliday) {
		this.totalMonthlyWeekHoliday = totalMonthlyWeekHoliday;
	}
	
	/**
	 * 時間外時間代替休暇取得日数合計セット
	 * @param totalSubstituteHoliday 時間外時間代替休暇取得日数
	 */
	public void setTotalSubstituteHoliday(double totalSubstituteHoliday) {
		this.totalSubstituteHoliday = totalSubstituteHoliday;
	}
	
	/**
	 * 時間外時間代替休暇取得日数
	 * @return 時間外時間代替休暇取得日数
	 */
	public double getTotalSubstituteHoliday() {
		return totalSubstituteHoliday;
	}
	
}
